﻿@model NorthWind.Entity.OrderDetailMap

<div class="modal-dialog" data-backdrop="static">
    <div class="modal-content">
        <div class="modal-header">
            <span class="close" onclick="$('#order-detail').modal('hide')">&times;</span>
            <h3>Order Product Detail</h3>
        </div>
        <div class="modal-body">
            <div class="form-horizontal">
                <div class="form-group">
                    <label class="control-label col-md-4">Order ID</label>
                    <div class="col-md-4">
                        @Html.TextBoxFor(x=>x.OrderID, new { @readonly=true, @class="form-control"})
                    </div>
                </div>
                <div class="form-group">
                    <label class="control-label col-md-4">Product</label>
                    <div class="col-md-8">
                        <div class="input-group">
                            @Html.HiddenFor(x => x.ProductID)
                            @Html.TextBoxFor(x => x.ProductName, new { @readonly = true, @class = "form-control freeze" })
                            <div class="input-group-addon">

                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="control-label col-md-4">Unit Price</label>
                    <div class="col-md-4">
                        @Html.TextBoxFor(x => x.UnitPrice, new { @readonly = true, @class = "form-control digit" })
                    </div>
                </div>
                <div class="form-group">
                    <label class="control-label col-md-4">Quantity</label>
                    <div class="col-md-4">
                        @Html.TextBoxFor(x => x.Quantity, new { @readonly = true, @class = "form-control digit" })
                    </div>
                </div>
                <div class="form-group">
                    <label class="control-label col-md-4">Discount</label>
                    <div class="col-md-4">
                        @Html.TextBoxFor(x => x.Discount, new { @readonly = true, @class = "form-control digit" })
                    </div>
                </div>
            </div>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-default" onclick="$('#order-detail').modal('hide')"><i class="glyphicon glyphicon-remove"></i> Close</button>
        </div>
    </div>
</div>
<script type="text/javascript">
    $('.digit').digits();
    $('.freeze').freeze();
</script>
